OpenStack Compute (Nova)

create instance with ephemeral disk fails

Reported by Yaguang Tang on 2013-11-14
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Yaguang Tang
Grizzly
High
Yaguang Tang
Havana
High
Yaguang Tang

Bug Description

2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] File "/opt/stack/nova/nova/comput
e/manager.py", line 1037, in _build_instance
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] set_access_ip=set_access_ip)
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] File "/opt/stack/nova/nova/comput
e/manager.py", line 1410, in _spawn
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] LOG.exception(_('Instance faile
d to spawn'), instance=instance)
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] File "/opt/stack/nova/nova/comput
e/manager.py", line 1407, in _spawn
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] block_device_info)
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] File "/opt/stack/nova/nova/virt/l
ibvirt/driver.py", line 2063, in spawn
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] admin_pass=admin_password)
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] File "/opt/stack/nova/nova/virt/l
ibvirt/driver.py", line 2370, in _create_image
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] ephemeral_size=ephemeral_gb)
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] File "/opt/stack/nova/nova/virt/l
ibvirt/imagebackend.py", line 174, in cache
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] *args, **kwargs)
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] File "/opt/stack/nova/nova/virt/l
ibvirt/imagebackend.py", line 307, in create_image
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] prepare_template(target=base, m
ax_size=size, *args, **kwargs)
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] File "/opt/stack/nova/nova/openst
ack/common/lockutils.py", line 246, in inner
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] return f(*args, **kwargs)
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] File "/opt/stack/nova/nova/virt/libvirt/imagebackend.py", line 162, in call_if_not_exists
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] fetch_func(target=target, *args, **kwargs)
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c] TypeError: _create_ephemeral() got an unexpected keyword argument 'max_size'
2013-11-14 16:31:23.032 TRACE nova.compute.manager [instance: f94c5521-0ce5-4be0-b35c-def82afc640c]

max_size argument was add in 3cdfe894ab58f7b91bf7fb690fc5bc724e44066f, when creating ephemeral disks , _create_ephemeral method will get an unexpected keyword argument max_size

Yaguang Tang (heut2008) on 2013-11-14
Changed in nova:
assignee: nobody → Yaguang Tang (heut2008)
importance: Undecided → High
tags: added: grizzly-backport-potential havana-backport-potential

Reviewed: https://review.openstack.org/56347
Committed: http://github.com/openstack/nova/commit/384f55bcb32251698cc2ce839a0286ef99e74984
Submitter: Jenkins
Branch: master

commit 384f55bcb32251698cc2ce839a0286ef99e74984
Author: Gonéri Le Bouder <email address hidden>
Date: Tue Nov 19 11:30:08 2013 +0100

    Add missing argument max_size in libvirt driver

    max_size argument was added in commit 3cdfe894ab58f7b91bf7fb690fc5bc724e44066f,
    but missing in _create_ephemeral and _create_swap method, which cause
    exception raised when caching ephemeral and swap disk files of the instance.

    Add test for _create_ephemeral used with max_size parameter
    and test _create_swap method

    Change-Id: I46032ad32f317c923692b8b3d40cedd0dce06cad
    Closes-Bug: 1251152
    Closes-Bug: 1250032

Changed in nova:
status: New → Fix Committed

Reviewed: https://review.openstack.org/57817
Committed: http://github.com/openstack/nova/commit/b3af6e877aaab4ace3d7c43d15d492f6498a0837
Submitter: Jenkins
Branch: stable/havana

commit b3af6e877aaab4ace3d7c43d15d492f6498a0837
Author: Gonéri Le Bouder <email address hidden>
Date: Tue Nov 19 11:30:08 2013 +0100

    Add missing argument max_size in libvirt driver

    max_size argument was added in commit 3cdfe894ab58f7b91bf7fb690fc5bc724e44066f,
    but missing in _create_ephemeral and _create_swap method, which cause
    exception raised when caching ephemeral and swap disk files of the instance.

    Add test for _create_ephemeral used with max_size parameter
    and test _create_swap method

    Closes-Bug: 1251152
    Closes-Bug: 1250032
    (cherry picked from commit 384f55bcb32251698cc2ce839a0286ef99e74984)

    Conflicts:
     nova/tests/virt/libvirt/test_libvirt.py
     nova/virt/libvirt/driver.py

    Change-Id: I46032ad32f317c923692b8b3d40cedd0dce06cad

Changed in nova:
milestone: none → icehouse-1
Thierry Carrez (ttx) on 2013-12-04
Changed in nova:
status: Fix Committed → Fix Released
Alan Pevec (apevec) on 2013-12-16
tags: removed: grizzly-backport-potential havana-backport-potential

Reviewed: https://review.openstack.org/57821
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=3ed9635ba9f0d166c132e70bbbacd79213b9cba6
Submitter: Jenkins
Branch: stable/grizzly

commit 3ed9635ba9f0d166c132e70bbbacd79213b9cba6
Author: Gonéri Le Bouder <email address hidden>
Date: Tue Nov 19 11:30:08 2013 +0100

    Add missing argument max_size in libvirt driver

    max_size argument was added in commit 3cdfe894ab58f7b91bf7fb690fc5bc724e44066f,
    but missing in _create_ephemeral and _create_swap method, which cause
    exception raised when caching ephemeral and swap disk files of the instance.

    Add test for _create_ephemeral used with max_size parameter
    and test _create_swap method

    Closes-Bug: 1251152
    Closes-Bug: 1250032
    (cherry picked from commit 384f55bcb32251698cc2ce839a0286ef99e74984)

    Conflicts:
     nova/tests/test_libvirt.py
     nova/virt/libvirt/driver.py

    Change-Id: I46032ad32f317c923692b8b3d40cedd0dce06cad

Thierry Carrez (ttx) on 2014-04-17
Changed in nova:
milestone: icehouse-1 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers